libvamp-sdk2v5_2.7.1~repack0-1+b1_amd64.deb


Advertisement

Description

libvamp-sdk2v5 - helper library for Vamp plugins written in C++

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libvamp-sdk2v5_2.7.1~repack0-1+b1_amd64.deb
Package name libvamp-sdk2v5
Package version 2.7.1~repack0
Package release 1+b1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://www.vamp-plugins.org/
License -
Maintainer Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Download size 44.13 KB
Installed size 131.00 KB

Alternatives

Package Version Architecture Repository
libvamp-sdk2v5_2.8.0-dmo1_amd64.deb 2.8.0 amd64 Multimedia Main
libvamp-sdk2v5_2.8.0-dmo1_i386.deb 2.8.0 i386 Multimedia Main
libvamp-sdk2v5_2.7.1~repack0-1+b1_i386.deb 2.7.1~repack0 i386 Debian Main
libvamp-sdk2v5 - - -

Requires

Name Value
libc6 >= 2.14
libstdc++6 >= 5.2

Replaces

Name Value
libvamp-sdk2 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libvamp-sdk2v5_2.7.1~repack0-1+b1_amd64.deb
Source Package vamp-plugin-sdk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvamp-sdk2v5 deb package:
    # sudo apt-get install libvamp-sdk2v5

Files

Path
/usr/lib/x86_64-linux-gnu/libvamp-sdk.so.2
/usr/lib/x86_64-linux-gnu/libvamp-sdk.so.2.7.0
/usr/share/doc/libvamp-sdk2v5/changelog.Debian.amd64.gz
/usr/share/doc/libvamp-sdk2v5/changelog.Debian.gz
/usr/share/doc/libvamp-sdk2v5/changelog.gz
/usr/share/doc/libvamp-sdk2v5/copyright

Changelog

2017-06-26 - Jaromír Mikeš <mira.mikes@seznam.cz>
vamp-plugin-sdk (2.7.1~repack0-1) unstable; urgency=medium
* New upstream version 2.7.1~repack0
* Bump Standards.
* Patches refreshed.
* Remove substitution variable 'shlibs:Depends' from vamp-plugin-sdk package.
2016-12-26 - Jaromír Mikeš <mira.mikes@seznam.cz>
vamp-plugin-sdk (2.6~repack0-3) unstable; urgency=medium
* Set dh/compat 10.
* Update copyright file.
* Sign tags.
* Fix VCS fields.
* Fix hardening.
* Set section sound for vamp-examples package.
* Avoid most useless linking.
2015-08-06 - Sebastian Ramacher <sramacher@debian.org>
vamp-plugin-sdk (2.6~repack0-2) unstable; urgency=medium
* Team upload.
* Rename packages for GCC 5 transition.
2015-06-16 - Jaromír Mikeš <mira.mikes@seznam.cz>
vamp-plugin-sdk (2.6~repack0-1) unstable; urgency=medium
* Introduce get-orig-source.
* Adapt watch file to new way of repacking.
* Remove old repacking scripts.
* Patches refreshed.
* Bump Standards.
* Not install useless autogenerated doxygen file.
* Enable parallel build.
* Not install useless autogenerated doxygen files.
* Not install embedded javascript library.
* Patches forwarded.
2014-03-23 - Benjamin Drung <bdrung@debian.org>
vamp-plugin-sdk (2.5+repack0-2) unstable; urgency=medium
* Team upload.
* Fix pkg-config patch to let autoconf set the prefix variable.
2014-02-27 - Jaromír Mikeš <mira.mikes@seznam.cz>
vamp-plugin-sdk (2.5+repack0-1) unstable; urgency=low
* Imported Upstream version 2.5+repack0
* Set section libs.
* Repack scripts updated.
* Bump Standards.
* Added patch to fix pkg-config (Closes: #728826)
* Added overrides file.
2013-08-06 - Jaromír Mikeš <mira.mikes@seznam.cz>
vamp-plugin-sdk (2.5-2) unstable; urgency=low
* Reintroduce *.a files. (Closes: #715506)
2013-05-14 - Jaromír Mikeš <mira.mikes@seznam.cz>
vamp-plugin-sdk (2.5-1) unstable; urgency=low
* New upstream release.
* Bump standards.
* Refreshed patch.
* Fix .gitignore file.
2012-10-29 - Jaromír Mikeš <mira.mikes@seznam.cz>
vamp-plugin-sdk (2.4-1) unstable; urgency=low
[ Jaromír Mikeš ]
* New upstream release (Closes: #603814)
* Adopting by team. (Closes: #688625)
* Set priority optional (Closes: #566594)
* Bump Standards.
* Introducing Format 3.0
* Added gbp.conf
* Fix watch file.
* Update copyright file.
* Switch to short dh.
* Set dh/compat 9
* Added misc:Depends for doc package.
* Introducing multi-arch.
* Remove .a .la files.
[ Alessio Treglia ]
* Move vamp-rdf-template-generator from vamp-plugin-sdk to
vamp-examples to meet Multiarch.
* Allow DM uploads.
* Add Vcs-* fields.
2009-12-23 - Székelyi Szabolcs <cc@mail.3d.hu>
vamp-plugin-sdk (2.1-1) unstable; urgency=low
* New upstream release (Closes: #560337)
* Added skeleton/ to vamp-plugin-sdk
* Added vamp-rdf-tempate-generator to vamp-plugin-sdk
* Added manpage for vamp-rdf-template-generator TODO
* Don't run `$(MAKE) test` if `nocheck` is present in DEB_BUILD_OPTIONS.
This involves running several $(MAKE)s with specific targets instead
of one generic run. TODO: check Makefile for new targets on every new
upstream release.
* Fixed typo in debian/control, libvamp-sdk2
* Fixed debian/vamp-plugin-sdk.examples so source code for example plugins
is really installed now
* Added #include <cstdio> to examples/FixedTempoEstimator.cpp to build
with GCC 4.3 (Closes: #562653)
* Provide a doc-base control file in vamp-plugin-sdk-doc
* Bumped Standards-Version to 3.8.3

See Also

Package Description
libvamsas-client-java_0.2~git2011.10.17+1b42648-1_all.deb library for phylogenetic tasks
libvanessa-adt-dev_0.0.9-2+b2_amd64.deb Headers and static libraries for vanessa_adt
libvanessa-adt1_0.0.9-2+b2_amd64.deb Library of Abstract Data Types
libvanessa-logger-dev_0.0.10-3.1_amd64.deb Headers and static libraries for libvanessa-logger
libvanessa-logger-sample_0.0.10-3.1_amd64.deb Sample programme using libvanessa-logger
libvanessa-logger0_0.0.10-3.1_amd64.deb Generic Logging Library
libvanessa-socket-dev_0.0.13-1+b2_amd64.deb Headers and static libraries for libvanessa_socket
libvanessa-socket-pipe_0.0.13-1+b2_amd64.deb User space TCP/IP pipe
libvanessa-socket2_0.0.13-1+b2_amd64.deb Library to simplify TCP socket operations
libvar-pairs-perl_0.004001-1_all.deb Perl module implementing iterators and pair constructors for variables
libvarconf-1.0-8v5_1.0.1-6_amd64.deb WorldForge configuration file handling library
libvarconf-dev_1.0.1-6_amd64.deb WorldForge configuration file handling library - development files
libvariable-disposition-perl_0.004-2_all.deb module to dispose of variables
libvariable-magic-perl_0.62-1+b2_amd64.deb module to associate user-defined magic to variables from Perl
libvariantslib-ocaml-dev_113.33.03-2+b1_amd64.deb OCaml syntax extension for supporting variants as first class values (dev)
Advertisement
Advertisement